
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../../api/mhsl/breaker/getBreakers/getBreakersResponse.dart';
import '../../widget/placeholderView.dart';
import 'BreakerProps.dart';


class Breaker extends StatefulWidget {
  final BreakerArea breaker;
  final Widget child;

  const Breaker({required this.breaker, required this.child, super.key});

  @override
  State<Breaker> createState() => _BreakerState();
}

class _BreakerState extends State<Breaker> {
  @override
  Widget build(BuildContext context) => Consumer<BreakerProps>(
      builder: (context, value, child) {
        var blocked = value.isBlocked(widget.breaker);
        if(blocked != null) {
          return PlaceholderView(
            icon: Icons.app_blocking_outlined,
            text: 'Die App / Dieser Bereich ist zurzeit nicht verfügbar!\n\n'
                "${blocked.isEmpty ? "Es wurde vom Server kein Grund übermittelt.\nAktualisiere die App und versuche es später erneut" : blocked}"
          );
        }

        return widget.child;
      },
    );
}
